
public class UE7Aufgabe67 {

	public static void main(String[] args) {
		final int N = 5;

		// Initialisierung
		int[] mulden = new int[N];
		for (int i = 0; i < mulden.length; i++) {
			mulden[i] = N;
		}
		int spieler = 1;

		print(mulden);
		while (!spielende(mulden)) {
			System.out.println("Spieler " + spieler + " ist am Zug!");
			int mulde = muldeEinlesen(mulden);
			int anzahl = anzahlEinlesen(mulden, mulde);
			mulden[mulde] -= anzahl; // Spielzug ausfuehren
			print(mulden);
			spieler = spieler % 2 + 1; // Spielerwechsel
		}
		System.out.println("Spieler " + (spieler % 2 + 1) + " hat gewonnen!");
		System.out.println("Spieler " + spieler + " hat verloren!");
	}

	static void print(int[] mulden) {
		System.out.print("Muldenindex: ");
		for (int i = 0; i < mulden.length; i++) {
			System.out.print(i + " ");
		}
		System.out.println();
		System.out.print("Koerner:     ");
		for (int i = 0; i < mulden.length; i++) {
			System.out.print(mulden[i] + " ");
		}
		System.out.println();
		System.out.println();
	}

	static boolean spielende(int[] mulden) {
		for (int i = 0; i < mulden.length; i++) {
			if (mulden[i] > 0) {
				return false;
			}
		}
		return true;
	}

	static int muldeEinlesen(int[] mulden) {
		int mulde = IO.readInt("Index der Mulde: ");
		while (mulde < 0 || mulde >= mulden.length || mulden[mulde] <= 0) {
			mulde = IO.readInt("Fehlerhafte Eingabe! Index der Mulde: ");
		}
		return mulde;
	}

	static int anzahlEinlesen(int[] mulden, int mulde) {
		int anzahl = IO.readInt("Anzahl der Koerner: ");
		while (anzahl <= 0 || anzahl > mulden[mulde]) {
			anzahl = IO.readInt("Fehlerhafte Eingabe! Anzahl der Koerner: ");
		}
		return anzahl;
	}

}
