// http://ddi.uni-wuppertal.de/material/materialsammlung/oberstufe/oom/dieverflixteeins/ab_01_beschreibung.pdf

public class UE7Aufgabe70 {

	public static void main(String[] args) {
		final int ANZAHL_SPIELER = 3;

		int[] punkte = new int[ANZAHL_SPIELER];
		int aktuellerSpieler = 0;
		while (true) {
			spielstandAusgeben(punkte);
			int ppunkte = spielzug(aktuellerSpieler + 1);
			punkte[aktuellerSpieler] += ppunkte;
			if (punkte[aktuellerSpieler] >= 1000) {
				spielstandAusgeben(punkte);
				System.out.println("Spieler " + (aktuellerSpieler + 1) + " hat gewonnen");
				break;
			}
			aktuellerSpieler = (aktuellerSpieler + 1) % ANZAHL_SPIELER;
		}

	}

	static void spielstandAusgeben(int[] punkte) {
		System.out.println("Aktueller Spielstand: ");
		for (int i = 0; i < punkte.length; i++) {
			System.out.println("Spieler " + (i + 1) + ": " + punkte[i]);
		}
		System.out.println();
	}

	static int spielzug(int spieler) {
		int punkte = 0;
		System.out.println("Spieler " + spieler + " ist am Zug");
		char antwort;
		do {
			int wuerfelZahl = new java.util.Random().nextInt(6) + 1;
			System.out.println("gewuerfelte Zahl: " + wuerfelZahl);
			if (wuerfelZahl == 1) {
				System.out.println("Verflixt, leider nix!");
				return 0;
			} else if (2 <= wuerfelZahl && wuerfelZahl <= 4) {
				punkte += wuerfelZahl;
			} else {
				punkte += (wuerfelZahl * 10);
			}
			System.out.println("Bisherige Rundenpunkte: " + punkte);
			antwort = IO.readChar("Wollen Sie nochmal wuerfeln (j/n): ");
		} while (antwort == 'j');
		return punkte;
	}

}
